(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: misc_sprint.ml,v 1.2 2014/06/30 13:57:24 fclement Exp $ *)

type 'a printer = 'a Format_printer.printer;;

type 'a string_printer = string -> 'a -> string;;
type ('a, 'b) string_printer_lifter = 'a printer -> 'b string_printer;;

let format_sprint print ident x =
  let ppf = Format.str_formatter in
  Format.fprintf ppf "@[<hv 4>@ %s =@ %a@]" ident print x;
  Format.flush_str_formatter ()
;;

let sprint_nat = format_sprint Unatural_print.print_t;;
let sprint_float = format_sprint Lib_print.print_quoted_float;;

let sprint_homogeneous_couple print =
  format_sprint (Lib_print.print_Couple print print)
;;
let sprint_array print = format_sprint (Lib_print.print_Array print);;
let sprint_array_array print = sprint_array (Lib_print.print_Array print);;
let sprint_matrix print = format_sprint (Umatrix_print.print_t print);;

let sprint_nat_couple = sprint_homogeneous_couple Unatural_print.print_t;;
let sprint_nat_matrix = sprint_matrix Unatural_print.print_t;;

let sprint_float_array_array = sprint_array_array Lib_print.print_quoted_float;;
let sprint_float_matrix = sprint_matrix Lib_print.print_quoted_float;;
