(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright (c) 2013-2014 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

open Refinement_types_print;;

open Display_types_print;;

let print_t ppf = function
  | {
      Configuration_types.external_program_command = e;
      Configuration_types.dimension = d;
      Configuration_types.dimension_management = d0;
      Configuration_types.cutting_strategy = c;
      Configuration_types.candidate_cuttings_selection_criterion = c0;
      Configuration_types.minimum_gradient = m;
      Configuration_types.stopping_criterion = s;
    } ->
    Format.fprintf ppf "%,@[<1>{@,";
    Format.fprintf ppf "%,@[<1>external_program_command =@ ";
    print_external_program_command ppf e; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>dimension =@ "; print_dimension ppf d;
    Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>dimension_management =@ ";
    print_dimension_management ppf d0; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>cutting_strategy =@ ";
    print_cutting_strategy ppf c; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>candidate_cuttings_selection_criterion =@ ";
    print_candidate_cuttings_selection_criterion ppf c0;
    Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>minimum_gradient =@ ";
    print_minimum_gradient ppf m; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>stopping_criterion =@ ";
    print_stopping_criterion ppf s; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@,}@]"
;;

let print_program_configuration ppf = function
  | {
      Configuration_types.formatter = f_f;
      Configuration_types.report_allocated_memory = b;
      Configuration_types.incremental_mode = b0;
      Configuration_types.graphics_mode = g;
      Configuration_types.graphics_window_min_size = s;
      Configuration_types.graphics_window_max_size = s0;
      Configuration_types.graphics_parameter_color_mapping = c_t;
      Configuration_types.graphics_gradient_color_mapping = c_t0;
    } ->
    Format.fprintf ppf "%,@[<1>{@,";
    Format.fprintf ppf "%,@[<1>formatter =@ ";
    Format_print.print_formatter ppf f_f; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>report_allocated_memory =@ ";
    Lib_print.print_bool ppf b; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>incremental_mode =@ ";
    Lib_print.print_bool ppf b0; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>graphics_mode =@ "; print_graphics_mode ppf g;
    Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>graphics_window_min_size =@ ";
    print_size ppf s; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>graphics_window_max_size =@ ";
    print_size ppf s0; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>graphics_parameter_color_mapping =@ ";
    Colormapping_print.print_t ppf c_t; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>graphics_gradient_color_mapping =@ ";
    Colormapping_print.print_t ppf c_t0; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@,}@]"
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
