CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                              Ref-indic                              C
C                                                                     C
C                        Refinement indicators                        C
C                                                                     C
C               EPI Pomdapi, INRIA Paris - Rocquencourt               C
C                                                                     C
C  Copyright (c) 2013-2014 INRIA.                                     C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C     $Id: gradient.f,v 1.6 2014/05/12 14:43:23 fclement Exp $

      subroutine gradient(ndS, ndT, S, T, gdS, gdT)
      
      implicit real*8 (t,f,d)
      
C      integer OUTPUT_UNIT
C      parameter(OUTPUT_UNIT=18)
      
      include 'common.fh'
      
C     Input arguments.
      integer ndS, ndT
      real*8 S(*), T(*)
      
C     Output arguments.
      real*8 gdS(*), gdT(*)
      
C     Local variable.
      integer n1, n, i
      integer irr
      
C      do i = 1, ndS
C         write(OUTPUT_UNIT, *) 'S(', i, ') = ', S(i)
C      enddo
C      do i = 1, ndT
C         write(OUTPUT_UNIT, *) 'T(', i, ') = ', T(i)
C      enddo
      
      do   i   =   1   ,   nszz   ,   1
         vvzz(i) = 0
         ssmbz(i) = 0
         smbz(i,1) = 0
         smbz(i,2) = 0
         smbz(i,3) = 0
         smbz(i,4) = 0
         smbz(i,5) = 0
         smbz(i,6) = 0
      enddo
      do   n   =   1   ,   ntzz   ,   1
         do   i   =   1   ,   nszz   ,   1
            gdu(i,n) = 0
         enddo
      enddo
      do   irr   =   1   ,   ndS   ,   1
         gdS(irr) = 0
      enddo
      do   irr   =   1   ,   ndT   ,   1
         gdT(irr) = 0
      enddo
      do   n1   =   1   ,   nt   ,   1
         do   i   =   1   ,   nx*ny   ,   1
            ttt1 = 2*(u(i,2*n1)-z(i,n1))/znorm
            gdu(i,2*n1) = gdu(i,2*n1)+ttt1
         enddo
      enddo
c     *********************************************************
c     on utilise les subroutines de LAPACK pour resoudre les
c     systemes lineaires
c     *********************************************************
      do   n1   =   nt   ,   2   ,   -1
c     etat adjoint correspondant a l'equation generale en phi
c         write(OUTPUT_UNIT,*) 'avant grad22'
         call gradient22 (n1,ndS,ndT,S,T,gdS,gdT)
c     etat adjoint correspondant a l'equation generale en trace de phi
c         write(OUTPUT_UNIT,*) 'avant grad12'
         call gradient12 (n1,ndS,ndT,S,T,gdS,gdT)
      enddo
      n1 = 1
c     etat adjoint correspondant a la condition initiale en phi
c      call gradient21 (n1,ndS,ndT,S,T,gdS,gdT)
c     etat adjoint correspondant a la condition initiale en trace de phi
c      call gradient11 (n1,ndS,ndT,S,T,gdS,gdT)
C      do i = 1, ndS
C         write(OUTPUT_UNIT, *) 'gdS(', i, ') = ', gdS(i)
C      enddo
C      do i = 1, ndT
C         write(OUTPUT_UNIT, *) 'gdT(', i, ') = ', gdT(i)
C      enddo
      
      return
      end
